Bug 145721 - sign tracked text moving not only with green text color + double strikethrough/underline, but in tooltips and Track Changes dialog box
Summary: sign tracked text moving not only with green text color + double strikethroug...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 inReleaseNotes
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2021-11-16 15:21 UTC by NISZ LibreOffice Team
Modified: 2021-12-29 23:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the original document side by side in Writer DOCX import: support MoveTo/MoveFrom completely dialogbox (36.09 KB, image/png)
2021-11-16 15:22 UTC, NISZ LibreOffice Team
Details
Example file from Word with DOCX import: support MoveTo/MoveFrom completely dialogbox (11.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-11-16 15:22 UTC, NISZ LibreOffice Team
Details
screenshot of new tooltip caption and new Manage Changes Action icons (140.94 KB, image/png)
2021-11-18 10:49 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-11-16 15:21:26 UTC
Description:
Text moving is only recognized in simple cases, but not when the moved text was modified later. The change entries are not visible in dialog box.

Steps to Reproduce:
1.	Open the attached file.
2.	Open the tracking change dialog box.


Actual Results:
The change is not visible.

Expected Results:
Should be entries of the change.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: a0a38b88dc3a61d212d784f41a27f97d9c2d7f32
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-11-16 15:22:22 UTC
Created attachment 176290 [details]
Screenshot of the original document side by side in Writer DOCX import: support MoveTo/MoveFrom completely dialogbox
Comment 2 NISZ LibreOffice Team 2021-11-16 15:22:48 UTC
Created attachment 176291 [details]
Example file from Word with DOCX import: support MoveTo/MoveFrom completely dialogbox
Comment 3 Commit Notification 2021-11-17 19:09:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/970f8ec7c8eb6007181ce55d885eef771dd49cc6

tdf#145721 sw track changes: sign text moving in redline tooltips

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2021-11-18 10:49:45 UTC
Created attachment 176332 [details]
screenshot of new tooltip caption and new Manage Changes Action icons
Comment 5 Commit Notification 2021-11-18 12:46:25 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a478ac0f0a1eda92d35477462f70412bc65f9d36

tdf#145721 sw: add 'moved text' icons to Manage Changes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 László Németh 2021-11-18 12:47:23 UTC
tdf#145721 sw track changes: sign text moving in redline tooltips

Write "Moved (deletion)" and "Moved (insertion)" instead of
"Deleted" and "Inserted" in tooltip of tracked text movings.

tdf#145721 sw: add 'moved text' icons to Manage Changes

For Moved (deletion) and Moved (insertion) text changes,
add new Action icons to Manage Changes dialog window
(Edit->Track Changes->Manage...), re-using existing
Cut and Paste icons.
Comment 7 NISZ LibreOffice Team 2021-12-08 08:49:33 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3a61cce54277fd12570103a191c50d9b37ef3dd3
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 8 stragu 2021-12-29 23:25:57 UTC
reviewing release notes.

Verified as fixed in:

Version: 7.3.0.1 / LibreOffice Community
Build ID: 840fe2f57ae5ad80d62bfa6e25550cb10ddabd1d
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Changes visible with tooltips and in Manage Changes.

adding meta